using System;
using FitConnect.Encryption;
using FluentAssertions;
using NUnit.Framework;

namespace IntegrationTests.Subscriber;

[TestFixture]
public class SubscriberTestUnHappyPath : SubscriberTestBase {
    [Test]
    public void TestMetaData_InvalidData() {
        // Arrange
        var wrongData = "{\"name\":\"value\"}";

        // Act
        var valid = JsonHelper.VerifyMetadata(wrongData).Result;
        // validationErrors.ToList().ForEach(v => Logger?.LogWarning("ERROR: {V}", v.ToString()));

        // Assert
        valid.Should().BeFalse();
    }

    [Test]
    public void TestMetaData_EmptyString() {
        // Arrange
        var wrongData = "";

        // Act && Assert
        Assert.Throws<AggregateException>(() => {
            var valid = JsonHelper.VerifyMetadata(wrongData, Logger).Result;
            // validationErrors.ToList().ForEach(v => Logger.LogWarning("ERROR: {V}", v.ToString()));
        });
    }
}
